<template>
  <div :class="[ 'content-screen', mode ]">
    <div :class="['body',{'center':!scroll}]">
      <flex-scroll v-if="scroll">
        <div v-if="$slots.graphic" class="illustration">
          <slot name="graphic"></slot>
        </div>
        <slot></slot>
      </flex-scroll>
      <div v-else :class="{ 'info': $slots.graphic, 'body-inner': true }">
        <div v-if="$slots.graphic" class="illustration">
          <slot name="graphic"></slot>
        </div>
        <slot></slot>
      </div>
    </div>
    <div class="actions" v-if="$slots.actions">
      <slot name="actions"></slot>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    mode: {
      type: String,
    },
    scroll: {
      type: Boolean,
      default: true,
    }
  }
}
</script>

<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';
.content-screen {
  @include themify($themes) {
    // background-color: themed('color-bg-secondary');
  }
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  height: 100%;
  max-width: 100%;
  flex-grow: 1;
  align-self: stretch;
  text-align: center;
  overflow: hidden;

  &.page {
    padding: 0;
    align-items: stretch;
    // justify-content: flex-start;
    text-align: left;
  }
}
.info {
  align-items: center;
  padding: 0 $grid*3;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
}

.body {
  @include flex($dir: column, $grow: 1);
  align-items: stretch;
  padding-top: 0;
  position: relative;
  overflow: hidden;

  .body-inner {
    @include flex($dir: column, $basis: 100%);
    max-height: 100%;
    overflow: hidden;
  }

  &.center .body-inner {
    justify-content: center;
    align-items: center;
  }
}

.actions {
  display: flex;
  flex-shrink: 0;
  flex-direction: column;
  padding: $grid;
}

.actions > div > div {
  flex-shrink: 0;
  flex-grow: 1;
  padding-top: $grid;

  &:first-child {
    padding-top: 0;
  }

  /deep/ .button__link {
    border: 0;
  }
  .button-container {
    padding: 0;
  }
}

.illustration {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin-bottom: $grid*2.5;
}
</style>
